apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    defaultConfig {
        applicationId "com.wd.workoffice"
        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0.1"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        manifestPlaceholders = [
                JPUSH_PKGNAME: applicationId,
                JPUSH_APPKEY : "376831354e7055c58a957394", //JPush上注册的包名对应的appkey.
                JPUSH_CHANNEL: "developer-default", //暂时填写默认值即可.
        ]
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    signingConfigs {
        release {
            keyAlias "OneA"
            keyPassword "wn131482"
            storeFile file("OneApp.jks")
            storePassword "wn131482"
        }
        debug {
            keyAlias "OneA"
            keyPassword "wn131482"
            storeFile file("OneApp.jks")
            storePassword "wn131482"
        }
    }
//    greendao {
//        //指定数据库schema版本号，迁移等操作会用到
//        schemaVersion 1
//        //DaoSession、DaoMaster以及所有实体类的dao生成的目录,默认为你的entity所在的包名
//        //daoPackage 包名
//        daoPackage 'com.wd.workoffice.dao'
//        //这就是我们上面说到的自定义生成数据库文件的目录了，可以将生成的文件放到我们的java目录中，而不是build中，这样就不用额外的设置资源目录了
//        //工程路径
//        targetGenDir 'src/main/java'
//    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.0.0-beta01'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test:runner:1.1.0-alpha4'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.0-alpha4'
    implementation 'com.google.android.material:material:1.0.0'
    //ok网络框架拦截器
    implementation 'com.squareup.okhttp3:logging-interceptor:3.12.0'
    implementation 'com.github.franmontiel:PersistentCookieJar:v1.0.1'
    //retrofit依赖
    implementation 'com.squareup.retrofit2:retrofit:2.5.0'
    //rxjava依赖
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.0'
    implementation 'com.squareup.retrofit2:adapter-rxjava2:2.3.0'
    //沉浸式
    implementation 'com.gyf.immersionbar:immersionbar:2.3.3'
    // glide 依赖
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
    //banner依赖
    implementation 'com.youth.banner:banner:1.4.9'
    //design库
    implementation 'com.google.android.material:material:1.0.0-beta01'
    //recyclerview
    implementation 'androidx.recyclerview:recyclerview:1.0.0-beta01'
    //时间
    implementation 'com.contrarywind:Android-PickerView:4.1.8'
    // EventBus
    implementation 'org.greenrobot:eventbus:3.1.1'
    //极光
    implementation 'cn.jiguang.sdk:jpush:3.1.1'  // 此处以JPush 3.1.1 版本为例。
    implementation 'cn.jiguang.sdk:jcore:1.1.9'  // 此处以JCore 1.1.9 版本为例。
    //dao层
    implementation 'org.greenrobot:greendao:3.2.2'
    implementation 'org.greenrobot:greendao-generator:3.2.2'
    //SmartRefreshLayout 下拉刷新 上拉加载
    implementation 'com.scwang.smartrefresh:SmartRefreshLayout:1.1.0-alpha-18'
    implementation 'com.scwang.smartrefresh:SmartRefreshHeader:1.1.0-alpha-18'
    //base
    implementation 'flexible.xd:android-base:1.1.6'
    implementation 'com.yanzhenjie.nohttp:nohttp:1.1.11'
    implementation 'com.jakewharton:butterknife:10.2.1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:10.2.1'
    implementation 'me.jessyan:autosize:1.1.1'
    implementation 'com.tencent.bugly:crashreport:2.8.6'
    implementation 'com.alibaba:fastjson:1.2.54'
    implementation 'com.github.tbruyelle:rxpermissions:0.10.2'
    implementation 'com.ashokvarma.android:bottom-navigation-bar:2.2.0'
    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.45-androidx'
    implementation 'com.qmuiteam:qmui:2.0.0-alpha04'
    implementation 'com.contrarywind:Android-PickerView:4.1.6'
    implementation 'com.zhihu.android:matisse:0.5.2-beta3'
    implementation 'cn.jzvd:jiaozivideoplayer:7.3.0'
    implementation 'me.rosuh:AndroidFilePicker:0.6.2'
}
